Class UmlComponentView

This class manages 'component view'
You can modify it as you want (except the constructor)

Declaration :

- C++ : class UmlComponentView : public UmlBaseComponentView
- Java : class UmlComponentView extends UmlBaseComponentView

Artifact : UmlComponentView

Operation UmlComponentView

Declaration :

- Uml : + UmlComponentView(in id : item_id, in n : string) :
- C++ : public: UmlComponentView(void * id, const QCString & n) : UmlBaseComponentView(id, n)
- Java : public UmlComponentView(long id, String n)

All public operations : apply , applyStereotype , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload